# Update_DocumentType_For_Exempt_Reason

Update a document type.

`PUT /v2/exempt-reasons/{id}/document-types`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Exempt Reason
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/x-www-form-urlencoded`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Exempt%20Reason/Update_DocumentType_For_Exempt_Reason/

## Description

Update the document type of an exempt reason.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the exempt reason object you wish to update. |
| `document_types` | array | formData | No | The document type associated with the exempt reason. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ExemptReasonDocumentType` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `ExemptReasonDocumentType`

Exempt Reason Document Type Model

| Property | Type | Required | Description |
|---|---|---|---|
| `document_types` | object[] | No | The document type associated with the exempt reason. |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/exempt-reasons/{id}/document-types" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Accept: application/json"
```